-- loadresource("data\\images\\GIRL.png","girl");
-- loadresource("data\\images\\boy.png","boy");
loadresource("data\\0\\0\\main_0.png","main_0");
loadresource("data\\0\\0\\snow1.png","snow1");
loadresource("data\\0\\0\\snow2.png","snow2");
loadresource("data\\0\\0\\snow3.png","snow3");
loadresource("data\\0\\0\\sosul1.png","sosul1");
loadresource("data\\0\\0\\sosul2.png","sosul2");
loadresource("data\\0\\0\\dosie.png","dosie");
loadresource("data\\0\\0\\arrow_anim1.png","arrow1");
loadresource("data\\0\\0\\rentgen.jpg","rentgen1");
-- loadresource("data\\ingame\\rentgen_active.png","rentgen");
-- loadresource("data\\ingame\\nvg_active.png","nvg");
-- loadresource("data\\ingame\\GV.png","GV");
-- loadresource("data\\ingame\\RG.png","RG");
loadresource("data\\0\\0\\bg.jpg","background");
loadresource("data\\0\\0\\331.png","delta_hint1");
-- set_activ_leaf("peak");

loadresource("data\\ingame\\inv\\13.png","13");
loadresource("data\\ingame\\inv\\14.png","14");
loadresource("data\\ingame\\inv\\15.png","15");
loadresource("data\\ingame\\inv\\16.png","16");


add_animation(NewId("delta_hint"));
add_animation_frame(obj.delta_hint.id,"delta_hint1",369,156,0,0,204,174,0.2);
add_animation_frame(obj.delta_hint.id,"delta_hint1",369,156,204,0,204,174,0.2);
add_animation_frame(obj.delta_hint.id,"delta_hint1",369,156,408,0,204,174,0.2);
set_visible_object(obj.delta_hint.id, false);
	add_animation(NewId("arrow"));
add_animation_frame(obj.arrow.id,"arrow1",200,589,0,60,60,60,0.1);
-- AddFrameFunc(obj.arrow.id,"arrow1")
add_animation_frame(obj.arrow.id,"arrow1",200,589,63,60,60,60,0.1);
add_animation_frame(obj.arrow.id,"arrow1",200,589,126,60,60,60,0.1);
add_animation_frame(obj.arrow.id,"arrow1",200,589,63,60,60,60,0.1);
speciale_action(2,obj.arrow.id);
	add_animation(NewId("arrow2"));
add_animation_frame(obj.arrow2.id,"arrow1",125,589,0,60,60,60,0.1);
-- AddFrameFunc(obj.arrow2.id,"arrow1")
add_animation_frame(obj.arrow2.id,"arrow1",125,589,63,60,60,60,0.1);
add_animation_frame(obj.arrow2.id,"arrow1",125,589,126,60,60,60,0.1);
add_animation_frame(obj.arrow2.id,"arrow1",125,589,63,60,60,60,0.1);				
speciale_action(2,obj.arrow2.id);
	add_animation(NewId("arrow3"));
add_animation_frame(obj.arrow3.id,"arrow1",845,570,0,60,60,60,0.1);
-- AddFrameFunc(obj.arrow3.id,"arrow1")
add_animation_frame(obj.arrow3.id,"arrow1",845,570,63,60,60,60,0.1);
add_animation_frame(obj.arrow3.id,"arrow1",845,570,126,60,60,60,0.1);
add_animation_frame(obj.arrow3.id,"arrow1",845,570,63,60,60,60,0.1);				
speciale_action(2,obj.arrow3.id);	
	add_animation(NewId("arrow4"));
add_animation_frame(obj.arrow4.id,"arrow1",655,177,0,60,60,60,0.1);
-- AddFrameFunc(obj.arrow4.id,"arrow1")
add_animation_frame(obj.arrow4.id,"arrow1",655,177,63,60,60,60,0.1);
add_animation_frame(obj.arrow4.id,"arrow1",655,177,126,60,60,60,0.1);
add_animation_frame(obj.arrow4.id,"arrow1",655,177,63,60,60,60,0.1);				
speciale_action(2,obj.arrow4.id);
	add_animation(NewId("arrow5"));
add_animation_frame(obj.arrow5.id,"arrow1",50,590,0,0,60,60,0.1);
-- AddFrameFunc(obj.arrow5.id,"arrow1")
add_animation_frame(obj.arrow5.id,"arrow1",50,590,63,0,60,60,0.1);
add_animation_frame(obj.arrow5.id,"arrow1",50,590,126,0,60,60,0.1);
add_animation_frame(obj.arrow5.id,"arrow1",50,590,63,0,60,60,0.1);				
speciale_action(2,obj.arrow5.id);


add_animation(NewId("arrowforglove"));
add_animation_frame(obj.arrowforglove.id,"arrow1",785,340,0,60,60,60,0.1);
-- AddFrameFunc(obj.arrowforglove.id,"arrow1")
add_animation_frame(obj.arrowforglove.id,"arrow1",785,340,63,60,60,60,0.1);
add_animation_frame(obj.arrowforglove.id,"arrow1",785,340,126,60,60,60,0.1);
add_animation_frame(obj.arrowforglove.id,"arrow1",785,340,63,60,60,60,0.1);				
speciale_action(2,obj.arrowforglove.id);


add_animation(NewId("arrowforbag"));
add_animation_frame(obj.arrowforbag.id,"arrow1",135,430,0,60,60,60,0.1);
-- AddFrameFunc(obj.arrowforbag.id,"arrow1")
add_animation_frame(obj.arrowforbag.id,"arrow1",135,430,63,60,60,60,0.1);
add_animation_frame(obj.arrowforbag.id,"arrow1",135,430,126,60,60,60,0.1);
add_animation_frame(obj.arrowforbag.id,"arrow1",135,430,63,60,60,60,0.1);				
speciale_action(2,obj.arrowforbag.id);		


NewObj("backpack", "main_0", 160,468, "11",0,0,0,155,83,85);




NewObj("lamp",  "main_0", 824,600, "23",0,0,83,198,56,41);
NewObj("burger", "main_0", 742,519, "7",0,0,83,155,56,43);
NewObj("sail", "main_0", 351+9, 170+7, "27",0,0,0,0,323,155);-------------
NewObj("ski1", "main_0", 711,233, "28",0,0,535,95,36,96);
NewObj("ski2", "main_0", 423+22,158, "29",0,0,951,82,30,65);
NewObj("prop", "main_0", 519+32,304+3, "30",0,0,951,0,69,82);
NewObj("coin1", "main_0", 631,397, "2",0,0,167,155,29,29);
NewObj("coin2", "main_0", 906,492, "3",0,0,223,155,31,29);
NewObj("coin3", "main_0", 702,340, "4",0,0,254,155,24,29);
NewObj("coin4", "main_0", 858,254, "5",0,0,195,155,27,29);
NewObj("coin5", "main_0", 186,623, "6",0,0,138,155,28,29);
NewObj("dosie", "dosie", 309,492, "98");

NewObj("molotok1", "main_0", 530,570, "9",0,0,904,581,108,77);
NewObj("loc_glove", "glove", 836,396, "99");
NewObj1("sail1", "13", 3351+9, 170+7, "27");
NewObj1("ski11", "14", 3711,233, "28");
NewObj1("ski21", "15", 3423+22,158, "29");
NewObj1("prop1", "16", 3519+32,304+3, "30");


prop= {509+32,280+3,  529+32+69,280+3, 529+32+69,315+3+82, 509+32,315+3+82 }
CreatePolygon(70,4,"prop");


ski1= {711,213,  711+36,213, 711+36,253+96,711,253+96 }
CreatePolygon(71,4,"ski1");


ski2= {413+22,138,  433+22+30,138, 433+22+30,168+65, 413+22,168+65 }
CreatePolygon(72,4,"ski2");


NewObj("delta_broken", "main_0", 209,4, "",0,0,0,240,167,232);                                          
NewObj("sail_packed", "main_0", 380+43,170+46, "",0,0,494,89,30,39);
NewObj("delta_established", "main_0", 369,156, "",0,0,747,0,205,175);
NewObj("prop_installed", "main_0", 382,202, "",0,0,469,89,24,45);
NewObj("ski1_set", "main_0", 300,242, "",0,0,323,0,212,89);
NewObj("ski2_set", "main_0", 499,293, "",0,0,323,89,147,55);
NewObj("ski3_set", "main_0", 397,221, "",0,0,535,0,212,95);
OnMouseOver(obj.delta_broken.id);

set_pixel_check(obj.prop.id ,true);

set_pixel_check(obj.sail_packed.id, false);

set_visible_object(obj.sail_packed.id, false);
set_visible_object(obj.delta_established.id, false);
set_visible_object(obj.prop_installed.id, false);
set_visible_object(obj.ski1_set.id, false);
set_visible_object(obj.ski2_set.id, false);
set_visible_object(obj.ski3_set.id, false);

add_animation(NewId("snow_fall"));
add_animation_frame(obj.snow_fall.id, "snow1",736,0,0,0,288,768,0.2);
add_animation_frame(obj.snow_fall.id, "snow1",736,0,288,0,288,768,0.2);
add_animation_frame(obj.snow_fall.id, "snow1",736,0,576,0,288,768,0.2);
add_animation_frame(obj.snow_fall.id, "snow2",736,0,0,0,288,768,0.2);
add_animation_frame(obj.snow_fall.id, "snow2",736,0,288,0,288,768,0.2);
add_animation_frame(obj.snow_fall.id, "snow2",736,0,576,0,288,768,0.2);
add_animation_frame(obj.snow_fall.id, "snow3",736,0,0,0,288,768,0.2);

addstaticobjecttogame(NewId("snow3"), "snow3", 736,0,"");
set_visible_object(obj.snow3.id,false);

add_animation(NewId("sosul_fall"));
add_animation_frame(obj.sosul_fall.id,"sosul1",68,302,0,0,188,465,0.2);
add_animation_frame(obj.sosul_fall.id,"sosul1",68,302,188,0,188,465,0.2);
add_animation_frame(obj.sosul_fall.id,"sosul1",68,302,376,0,188,465,0.2);
add_animation_frame(obj.sosul_fall.id,"sosul1",68,302,564,0,188,465,0.2);
add_animation_frame(obj.sosul_fall.id,"sosul1",68,302,752,0,188,465,0.2);
add_animation_frame(obj.sosul_fall.id,"sosul2",68,302,0,0,188,465,0.2);
add_animation_frame(obj.sosul_fall.id,"sosul2",68,302,188,0,188,465,0.2);
add_animation_frame(obj.sosul_fall.id,"sosul2",68,302,376,0,188,465,0.2);
add_animation_frame(obj.sosul_fall.id,"sosul2",68,302,564,0,188,465,0.2);
add_animation_frame(obj.sosul_fall.id,"sosul2",68,302,752,0,188,465,0.2);

addstaticobjecttogame(NewId("sosul2"), "sosul2", 68,302,"",752,0,188,465);
set_visible_object(obj.sosul2.id,false);

addstaticobjecttogame(NewId("background"), "background", 0,0,"");






CreateCommonObjects( 0 );